Bug 49479 - [4.3] Update to Samba 4.10
[4.3] Update to Samba 4.10
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-4-errata
Assigned To: Arvid Requate
Felix Botner
:
Depends on: 47314 49480 49481 49482
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-15 13:24 CEST by Arvid Requate
Modified: 2019-05-29 13:51 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Arvid Requate univentionstaff 2019-05-15 18:48:15 CEST
Packages backported from 4.4-0-errata4.4-0:


r18579 | merge 98_CVE-2018-16860.quilt from errata4.4-0

aadeba8870 | Advisories for talloc, tevent, tdb, ldb, samba
fda7ca9113 | Advisories for tracker, libiptcdata and exempi
b5e45f1989 | Declare dependency packages as maintained
88295074d0 | samba.yaml update

The latter packages are dependencies for Samba 4.10 and have been copied from 4.3-0 to errata4.3-4. I've run the "CalculateMaintained" Jenkins job on the scope and explicitly declared them as "maintained" in the yaml files.
Comment 2 Felix Botner univentionstaff 2019-05-16 09:56:04 CEST
http://jenkins.knut.univention.de:8080/job/UCS-4.4/job/UCS-4.4-0/job/AutotestUpgrade/SambaVersion=s4,Systemrolle=slave/ws/test/ failed during samba update (unjoined s4 slave update from 4.3-4 to 4.4-0)
Comment 4 Felix Botner univentionstaff 2019-05-16 13:42:13 CEST
*** Bug 49490 has been marked as a duplicate of this bug. ***
Comment 5 Arvid Requate univentionstaff 2019-05-21 17:55:28 CEST
6b1bd4d2eb | Advisory univention-ldb-modules.yaml
e54fd00082 | Advisory samba.yaml update

The tests look ok now. We currently habe no Jenkins Tests that first install the yet unpublished errata4.3-4 before starting the update to 4.4-0.
Comment 6 Felix Botner univentionstaff 2019-05-23 14:54:49 CEST
OK - 4.3-4 ucs/ucsschool tests
OK - 4.3-4 product tests
OK - manual install/update to 4.4-0 tests
OK - yaml